Peraturan Google: Pengembang Wajib Targetkan Aplikasinya ke Android 8.0+

0
100

Google memberlakukan aturan ketat yang akan memaksa pengembang aplikasi Android untuk menghadirkan update untuk menargetkan Android versi 8.0 atau lebih tinggi.

Semua update didorong ke Google Play Store setelah tanggal 1 November tahun ini  harus menargetkan API level 26  setidaknya. Pengembang yang  tidak mematuhinya, tidak akan dapat meluncurkan update baru  sampai mereka memenuhi kriteria ini (Via XDA-Developers ).

Alasan utama di balik itu adalah kenyataan bahwa butuh waktu lama untuk versi Android terbaru untuk menjangkau ponsel. Jadi pengembang aplikasi tidak menganggapnya sebagai prioritas utama mereka.

Akibatnya, aplikasi akhirnya berperilaku aneh dengan masalah seperti drainase baterai, pemberitahuan spam, dan penggunaan izin yang tidak perlu tanpa meminta persetujuan pengguna. Jika keadaan memburuk, itu juga mengakibatkan force close atau hang aplikasi.

Inilah mengapa Google memutuskan untuk menarik garis yang akan  memaksa para pembuat aplikasi untuk membuat aplikasi mereka kompatibel  dengan versi Android terbaru.

Perlu dicatat bahwa perusahaan telah memberikan waktu yang cukup kepada pengembang untuk memperbarui aplikasi mereka. Tenggat waktu untuk menargetkan API 26 diumumkan pada Desember tahun lalu. Namun, sebagian besar pengembang aplikasi gagal menargetkan Android Nougat pada saat itu.

Sekarang hal yang sama sedang diperluas untuk mendukung Android Oreo. Hal penting lain yang harus diketahui oleh pengembang aplikasi adalah bahwa aturan ini berlaku untuk  targetSdkVersion saja  dan bukan minSdkVersion.

Target minimumSdkVersion akan meningkat setiap tahun mulai sekarang dan seterusnya. Mulai dari Agustus 2019, aplikasi baru harus mendukung setidaknya API level 28 (Android 9 Pie), dan hal yang sama akan berlaku untuk pembaruan aplikasi mulai November 2019.